# sphinxcontrib.spelling

`sphinxcontrib.spelling` is a spelling checker for Sphinx. It uses PyEnchant to produce a report showing misspelled words.

## Features

1. Supports multiple source languages using the standard enchant dictionaries.

2. Supports project-specific dictionaries for localized jargon and other terminology that may not appear in the global dictionaries.

3. Suggests alternatives to words not found in the dictionary, when possible.

## Details

- Installation
- Configuration Options
  - Input Options
  - Output Options
  - Word Filters
  - Private Dictionaries
  - Custom Word Filters
- Running
- Developers
  - Running tests
  - Coding style
  - Building Documentation
  - Contributing
  - Release Notes
- Release History
  - 7.2.0
  - 7.1.0
  - 7.0.1
  - 7.0.0
  - 6.0.0
  - 5.4.0
  - 5.3.0
  - 5.2.2
  - 5.2.0
  - 5.1.2
  - 5.1.0
  - 5.0.0
  - 4.3.0
  - 4.2.1
  - 4.2.0
  - 4.1.0
  - 4.0.1
  - 4.0.0
  - 2.3.0
  - 2.2.0
  - 2.1.2
  - 2.1.1
  - 2.1
  - 2.0
  - 1.4
  - 1.3
  - 1.2
  - 1.1.1
  - 1.1
  - 1.0
  - 0.2
  - 0.1